<div *ngIf="!isDataAvailable || materialReceivedData.length === 0" class="empty-table">No Data To Display</div>
<div *ngIf="materialReceivedData.length > 0">
    <app-table-molecule [tableData]="materialReceivedData" [displayedColumn]="displayedColumn" [isDataAvailable]="isDataAvailable" pageType="MR"></app-table-molecule>
</div>